Package org.gradle.api.tasks

# Interface GroovySourceDirectorySet

All Superinterfaces:
  `AntBuilderAware`, `Buildable`, `Describable`, `FileCollection`, `FileTree`, `Iterable<File>`, `Named`, `PatternFilterable`, `SourceDirectorySet`

public interface GroovySourceDirectorySet extends SourceDirectorySet
Represents a Groovy source set.

Since:
  7.1

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.file.FileCollection

  `FileCollection.AntType`

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  ### Methods inherited from interface org.gradle.api.Buildable

  `getBuildDependencies`

  ### Methods inherited from interface org.gradle.api.Describable

  `getDisplayName`

  ### Methods inherited from interface org.gradle.api.file.FileCollection

  `addToAntBuilder, addToAntBuilder, contains, filter, filter, getAsPath, getElements, getSingleFile, isEmpty, minus, plus`

  ### Methods inherited from interface org.gradle.api.file.FileTree

  `getAsFileTree, getFiles, matching, matching, matching, plus, visit, visit, visit`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, iterator, spliterator`

  ### Methods inherited from interface org.gradle.api.tasks.util.PatternFilterable

  `exclude, exclude, exclude, exclude, getExcludes, getIncludes, include, include, include, include, setExcludes, setIncludes`

  ### Methods inherited from interface org.gradle.api.file.SourceDirectorySet

  `compiledBy, getClassesDirectory, getDestinationDirectory, getFilter, getName, getSourceDirectories, getSrcDirs, getSrcDirTrees, setSrcDirs, source, srcDir, srcDirs`